Bug 220210 - Review Request: krename - Powerful batch file renamer
Review Request: krename - Powerful batch file renamer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-19 13:28 EST by Michał Bentkowski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-27 14:41:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michał Bentkowski 2006-12-19 13:28:01 EST
Spec URL: http://ecik.zspswidwin.pl/krename/krename.spec
SRPM URL: http://ecik.zspswidwin.pl/krename/krename-3.0.13-1.fc7.src.rpm
Description: 
KRename is a powerful batch renamer for KDE. It allows you to easily rename
hundreds or even more files in one go. The filenames can be created by parts
of the original filename, numbering the files or accessing hundreds of
informations about the file, like creation date or Exif informations of an
image.

Mock builds successfully.
Note that package owns whole %{_datadir}/icons/locolor directory, because
it is owned by openoffice and it would be a very stupid dependency if krename
needed openoffice to run ;) Also, packaging guidelines says that:
"The rule of thumb is that your package should own all of the directories it
creates except those owned by packages which your package depends on."
Thus I believe my solution is good.
Comment 1 Mamoru TASAKA 2006-12-21 01:32:24 EST
I will review this later

(In reply to comment #0)
> Note that package owns whole %{_datadir}/icons/locolor directory
This package _should_ own this directory
Comment 2 Mamoru TASAKA 2006-12-21 08:37:13 EST
First review of this package.

A. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* BuildRequires
-----------------------------------------------------------
Requires:       hicolor-icon-theme
-----------------------------------------------------------
  - Usually this is regarded as "not needed to be written"
    because hicolor-icon-theme is generally considered as
    a type of rpms like "filesystem" and many GUI packages
    depend on this package directly/indirectly.

* Documentation
  The following documentations include non-UTF8 characters.
  Consider them to UTF-8 characters.
-----------------------------------------------------------
/usr/share/doc/krename-3.0.13/ChangeLog:  ISO-8859 English text
/usr/share/doc/krename-3.0.13/TODO:       Non-ISO extended-ASCII English text,
with very long lines
-----------------------------------------------------------

* Desktop files
-----------------------------------------------------------
Categories=Application;Utility;Qt;KDE;
-----------------------------------------------------------
  Category "Application" is deprecated and so this should
  be removed.
-----------------------------------------------------------
[tasaka1@dhcp158 krename]$ desktop-file-validate
/usr/share/applications/fedora-krename.desktop 
/usr/share/applications/fedora-krename.desktop: warning: The 'Application'
category is not defined by the desktop entry specification.  Please use one of
"AudioVideo", "Audio", "Video", "Development", "Education", "Game", "Graphics",
"Network", "Office", "Settings", "System", "Utility" instead
-----------------------------------------------------------

* Scriptlets requirements
-----------------------------------------------------------
%{_datadir}/icons/hicolor/*/apps/%{name}.png
-----------------------------------------------------------  
  This requires updating of GTK+ icon cache (desribed in the following).

  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

  Actually I cannot see icons on KRename menu entry.

* File and Directory Ownership
  - On my system, the following directories are not owned by
    any packages.
------------------------------------------------------------
/usr/share/apps/konqueror/
/usr/share/apps/konqueror/servicemenus/
------------------------------------------------------------
    ... because I am a GNOME user and I don't have kdebase
    installed. I think this package should own these
    directories as this package can be used for non-KDE users,
    too.

B. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   (= this is okay, except for things written in A)
Comment 3 Michał Bentkowski 2006-12-21 10:38:25 EST
Spec URL: http://mutebox.net/~ecik/krename/krename.spec
SRPM URL: http://mutebox.net/~ecik/krename/krename-3.0.13-2.src.rpm
* Thu Dec 21 2006 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.13-2
- Fix encoding of ChangeLog and TODO files
- Fix desktop file issue
- Add %%post and %%postun sections
- Make %%{_datadir}/apps/konqueror owned by this package

I didn't change hicolor-icon-theme dependency, because in my opinion it is good
if it's present.
Comment 4 Mamoru TASAKA 2006-12-22 02:53:19 EST
Well, for TODO file, some characters are fixed, however
there are still some garbage characters which are not correctly
seen by "less" command. I cannot figure out in what coding these
characters are encoded....
Maybe it may be better that we leave TODO file as it is.

Other things are okay.
---------------------------------------------------------
   This package (krename) is APPROVED by me.
Comment 5 Mamoru TASAKA 2006-12-26 09:19:31 EST
Please rebuild this...
Comment 6 Michał Bentkowski 2006-12-26 16:24:58 EST
I would really like to, but currently I'm encountering problems with my internet
connection, so I'm simply unable to upload it. I hope I'll be within a week.
Comment 7 Michał Bentkowski 2006-12-27 14:41:49 EST
I managed to build this package today.
Closing
Comment 8 Dennis Gilmore 2006-12-27 17:47:04 EST
This package has not had a proper review, and wont be branched until it has. 
Comment 9 Mamoru TASAKA 2006-12-28 05:08:00 EST
Though I am not willing, I will attach a detail for sumbitter's benefit.

>From http://fedoraproject.org/wiki/Packaging/Guidelines
= Naming of this package is good
= License documentation is included
= License is OSI approved
= License documentation is actually consistent with
  the ones actually used in source files.
= No shareware data is included
= No patents issue is found
= This is not a emulators
= This is not a binary firmware
= No libexecdir files is needed as no wrapper scripts are
  needed
= rpmlint is silent
= Changelog entry is proper
= Tag is correctly used
= Build root tag is okay
= Generally "Requires: hicolor-icon-theme" description
  is not needed, however, I don't object to this.
= Dependencies other than libraries' dependencies
  automatically added by rpmbuild is not necessary
= BuildRequires is enough: mockbuild is okay for FC-devel
= No redundant BuildRequires is described
= Summary and description is okay
= Documentation Encodings are fixed (according to
  my suggestion)
= Needed documentation
  - AUTHORS
  - COPYING
  - ChangeLog
  - README
  - TODO
  --- all included (in main package)
= Mock build log says that fedora specific compilation
  flags are correctly passed
  (checked by grep -v FORTIFY MOCK-krename.log )
= No static libraries nor .la files
= There is no libraries duplicate of system libraries
= /usr/lib/rpm/check-rpath-worker `rpm -ql krename`
  does not complain
= No conf file
= Desktop description is okay
  desktop-file-varidate does not report any error
= desktop-file-install correctly used
= Macros correctly used
= No mixed use of %{buildroot} <-> $RPM_BUILD_ROOT
= %makeinstall not used
= Locale files are handled by %find_lang
= Timestamps are correctly kept for
  - xml/html
  - gettext mo files
  - png file
  (checked by `rpm -qilvv --changelog --scripts krename)
= Parallel build okay
= For scriplets
-> According to http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
   = No shared libraries, ldconfig not needed
   = No services
   = No GConf
   = No Texinfo
   = No Scrollkeeper
   = mime type is not needed nor described in desktop file (desktop
     update is not needed, proper)
   = mimetype xml is not included
   = files are installed under %{_datadir}/icons/hicolor
     -> GTK+ icon cache updating is needed --- correctly handled!!
   = No fonts
= No conditional dependencies
= Mockbuild is okay, this means that non-root users' rebuild
  should work
= No content which cannot be accepted in FE is not included
= Unowned directory
  - /usr -> filesystem
  - /usr/bin -> filesystem
  - /usr/share -> filesystem
  - /usr/share/applications -> filesystem
  - /usr/share/apps -> kdelibs
  - /usr/share/doc -> filesystem
  - /usr/share/doc/HTML -> kdelibs
  - /usr/share/doc/HTML/en -> kdelibs
  - /usr/share/icons -> redhat-artwork
  - /usr/share/icons/hicolor -> hicolor-icon-theme
  - /usr/share/icons/hicolor/??x?? -> hicolor-icon-theme
  - /usr/share/icons/hicolor/??x??/apps -> hicolor-icon-theme
  = all okay
 = Owned directory
  - /usr/share/apps/konqueror
  - /usr/share/apps/krename
  - /usr/share/doc/HTML/en/krename
  - /usr/share/icons/lcolor
  = all are not owned by other packages needed by this package
  ( as for /usr/share/apps/konqueror, this is owned by
    kdebase, however, this package can be used for NON-KDE user
    so owning this directory is okay and recommended)
= This is no web app and /var/www is not used

Then from http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
= rpmlint for source is silent
= rpmlint for binary rpm is silent
= rpmlint for installed rpm is silent
= Naming is okay (described above)
= Consistency for package guideline is checked above
= License is okay (described above)
= License documentation included (described above)
= Actually I don't know the deferrence between
  American/British/Other English in detail......
= I can read this spec file with ease
= Downloading all sources (one) from described URLs
  succeeded
= md5sum values are same
= mockbuild is okay for FC-devel i386
= BuildRequires is okay (described above)
= locale handling okay (described above)
= ldconfig not needed (described above)
= relocable description is not used
= Directory ownership is okay (described above)
= permission is okay
  - checked by rpmlint and
    rpm -qilvv krename
= %clean section handled properly
= macro usage is okay (described above)
= code/content issue is no problem (described above)
= No large documentation is included in source tarball
  and -doc subpackage is not needed
= -devel subpackage is not needed
= .la files/static archives are not included (described
  above)
= desktop file is correctly installed (described above)
= directory ownership is handled correctly (described above)

Well, other thing I have noticed
= mock build log is okay
= file `rpm -ql krename` is no problem
= rpm -qilvv --changelog --scripts krename is okay
= ( for f in `rpm -ql krename` ; do if file $f | grep -q
   text ; then echo $f ; done ) | xargs less is okay
= It seems that this app works and no segv happened for now
= ( for f in `rpm -ql krename` ; do if file $f | grep -q
   image l then echo $f ; done ) | xargs display is okay
= w3m /usr/share/doc/HTML/en/krename/index.html is okay

APPROVED

Note You need to log in before you can comment on or make changes to this bug.